﻿using System;
using System.Runtime.Serialization;

namespace WcfRestServiceDemo.Data
{
    partial class Microblog
    {
        private static readonly DateTime _baseTime =
            new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc).ToLocalTime();

        [DataMember(Name = "publishTimeSec")]
        public long PublishTimeSeconds
        {
            get { return (long)(PublishTime - _baseTime).TotalMilliseconds; }
            set { PublishTime = _baseTime.AddMilliseconds(value); }
        }
    }
}